boost::geometry::wkt_manipulator< Geometry > Class Template Reference
wkt: parse and stream WKT (Well-Known Text)

Generic geometry template manipulator class, takes corresponding output class from traits class. More...

List of all members.

## Public Member Functions

| wkt_manipulator (Geometry const &g)

## Friends

template<typename Char , typename Traits >
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, wkt_manipulator const &m)

## Detailed Description

### template<typename Geometry>
class boost::geometry::wkt_manipulator< Geometry >

Generic geometry template manipulator class, takes corresponding output class from traits class.

Stream manipulator, streams geometry classes as WKT (Well-Known Text) streams

Example:
  Small example showing how to use the wkt class

      {
          typedef boost::geometry::point_xy<double> P;
          P p(5.12, 6.34);
          // Points can be streamed like this:
          std::cout << boost::geometry::dsv<P>(p) << std::endl;

          // or like this:
          std::cout << boost::geometry::dsv(p) << std::endl;

          // or (with extension) like this:
          std::cout << boost::geometry::wkt(p) << std::endl;
      }

## Constructor & Destructor Documentation

template<typename Geometry >

boost::geometry::wkt_manipulator< Geometry >::wkt_manipulator | ( | Geometry const & | g | ) |

## Friends And Related Function Documentation

template<typename Geometry >
template<typename Char , typename Traits >

std::basic_ostream<Char, Traits>& operator<< | ( | std::basic_ostream< Char, Traits > & | os,
|  | wkt_manipulator< Geometry > const & | m
| ) |  | `[friend]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK